Subject: Re: [PATCH 8/9] fast-export: respect the possibly-overridden default branch name

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Jun 2020 11:19:42 -0700

Johannes Schindelin <[email-masked]> writes:

> Hi Matt,
>
> On Wed, 10 Jun 2020, Matt Rogers wrote:
>
>> > -        * We also leave "master" as a special case, since it does not reveal
>> > -        * anything interesting.
>> > +        * We also leave the default branch name as a special case, since it
>> > +        * does not reveal anything interesting.
>> >          */
>> I feel this is a weird thing to do, since you're trying to anonymize the branch
>> name,and now the default branch is identifiable with your config file.  For
>> example, if the default branch contains the name of my project/repo then this
>> sounds like a recipe for accidentally sharing it. I feel a better
>> alternative would
>> be to exclude nothing from the anonymization or the proposed default default
>> branch name
>
> I don't think that the name of the main branch should be subject to
> anonymizing, whether it be `master` or anything else.

"Here is why" is missing ;-)  I think you realized that it needs to
be, after you wrote the "ah, we need two, the default for new ones
and the name of the primary branch in a particular repository", as
we are dealing with the latter here.

Thanks.